Status: Closed Priority: Should have
Author: Thorsten Vallender Category:
Created: 2013-12-12 Assigned To:
Subject: content element "text and image" and "image" is not working properly
Description

Hallo,

it is not possible to change or modify a picture in a content element "image" & "text and image" over the "Thumbnails View".
The Inspector ist waiting ... and waiting ...

If I use the "List View" change or modify a picture, then it works fine.

History
#1 - 2013-12-13 09:59 - Christian Müller
- Status changed from New to Accepted

Thanks for creating the ticket. This is indeed a bug.

#2 - 2014-01-16 16:31 - Bernhard Schmitt

It's actually just a template issue in the Media package. JavaScript searches for the "data-asset-identifier" attribute in the respective element classed
as "asset".

In list view this is 
<tr class="asset draggable-asset" data-asset-identifier="{asset -> f:format.identifier()}">

and in thumbnail view
<li class="asset">

Adding  data-asset-identifier="{asset -> f:format.identifier()}" to the li element solves this issue

#3 - 2014-01-18 16:49 - Riccardo De Contardi

That's inside

Packages/Applications/TYPO3.Media/Resources/Private/Partials/ThumbnailView.html

right?

#4 - 2014-01-20 16:48 - Bernhard Schmitt

exactly
#5 - 2014-10-01 19:23 - Jonas Renggli
- Status changed from Accepted to Closed

Can't reproduce under Neos 1.1
If the problem still exists please open an issue on https://jira.typo3.org/
